# -*- encoding : utf-8 -*-

class Admin::SejoursController < ApplicationController

	before_filter :auth_admin
	
	layout "admin"
	


	before_filter :find_sejours

	def index 

	end


	def cible
		
		render :layout => false
		
	end
	
	
	def new
	
		@sejour = Sejour.new

	end


	def edit
	
		@sejour = Sejour.find(params[:id])
    
		
	end


	def create
		
		@sejour = Sejour.new(sejour_params)

		
		if @sejour.save
			flash[:notice] = "Le sejour à été ajouté avec succès."
			self.find_sejours
		
		else
			render :action => "new" 

		end

	end


	def update
	
		@sejour = Sejour.find(params[:id])
	
  
    if params[:sejour]
  		if @sejour.update_attributes(sejour_params)
  			flash[:notice] = "Le sejour à été modifié avec succès."
  		else
  			render :action => "edit"
  		end
      
      
    elsif params[:tag_id]
      @sejour.tag_by_tag_ids(params[:tag_id])
    end
    
  
  
		
	end


	def destroy
	
		@sejour = Sejour.find(params[:id])
		@sejour.destroy

	end
	
	protected
	
	def find_sejours
		
		@sejours = Sejour.all
		
	end
	
  private
    def sejour_params
      params.require(:sejour).permit!
      
  
      
      
    end

  
end
